2022年06月29日   温氏效应  
漏洞概述 Apache 披露了一个在 Apache HTTP Server 2.4.49 上引入的漏洞,称为 CVE-2021-41773。同时发布了2.4.50更新,修复了这个漏洞。该漏洞允许攻击者绕过路径遍历保护,使用编码并读取网络服务器文件系统上的任意文件。运行此版本 Apache 的 Linux 和 Windows 服务器都受到影响。此漏洞是在 2.4.49 中引入的,该补丁旨在提高 URL 验证的性能。...
查看全文
 2022年06月28日   温氏效应  
漏洞概述 Apache HTTPd 是Apache基金会开源的一款HTTP服务器。2021年10月8日Apache HTTPd官方发布安全更新,披露CVE-2021-41773 Apache HTTPd 2.4.49 路径穿越漏洞。攻击者利用这个漏洞,可以读取到Apache服务器web目录以外的其他文件,或读取web中的脚本源码,如果服务器开启CGI或cgid服务,攻击者可进行任意代码执行。 影响版本 Apache HTT...
查看全文
 2022年03月12日   温氏效应  
漏洞概述 描述: Typesetter CMS 内容管理系统是Php源码频道下深受用户喜爱的软件。 Typesetter CMS 存在代码问题漏洞,该漏洞源于允许管理员通过ZIP归档中的. PHP文件上传和执行任意PHP代码。 账号密码: admin/admin 解题过程 1、打开靶场环境,访问漏洞页面,并点击登录,用户名/密码:admin/admin 2、点击已上传的档案 这里...
查看全文
 2022年03月11日   温氏效应  
漏洞介绍 名称:Struts2 S2-013 远程命令执行漏洞 漏洞版本:Apache Group Struts 2.0.0 – 2.3.14 CVE标识符:CVE-2013-1966 描述:url和s:a标记都提供includeparams属性。该属性的主要作用域是了解包含或不包含http://request参数的内容。INCLUDEParams的允许值为:none-在URL中不包含任何参数(默认),get-仅在URL中包含get参数...
查看全文
 2022年03月10日   温氏效应  
漏洞介绍 名称:Tomcat-pass-getshell 弱口令 描述:Tomcat是Apache 软件基金会(Apache Software Foundation)的Jakarta 项目中的一个核心项目,由Apache、Sun 和其他一些公司及个人共同开发而成。 通过弱口令登录后台,部署war包geshell 解题过程 1、打开靶场环境,并点击Manage App链接,通过弱口令登录平台,账号密码均为:tomcat ...
查看全文
 2022年03月07日   温氏效应  
漏洞介绍 名称:Struts2 S2-048 远程命令执行漏洞 CVE标识符:CVE-2017-9791 描述:Struts2是一个基于MVC设计模式的Web应用框架,它本质上相当于一个servlet,在MVC设计模式中,Struts2作为控制器(Controller)来建立模型与视图的数据交互。 攻击者构造恶意字段值(value)通过Struts2的struts2-struts1-plugin传递给被攻击主机,从而实现RCE...
查看全文
 2022年03月04日   温氏效应  
漏洞介绍 Joomla是一套知名的内容管理系统,其使用PHP语言和 MySQL数据库开发,可以在Linux、 Windows、MacOSX等各种不同的平台上运行 Joomla官方发布安全公告,修复了Joomla中的一个远程代码执行漏洞(CVE-2021-23132),其CVSSv3评分为7.5。由于Joomla com_media模块对上传文件校验不严格,攻击者可以通过上传恶意文件,从而实现远程代码执行。 ...
查看全文
 2022年03月04日   温氏效应  
漏洞介绍 Nostromo nhttpd是一款开源的Web服务器。 Nostromo由于在验证URL安全性方面存在缺陷,导致目录穿越,任何人都可以遍历系统中任何文件。因此未经过身份验证的远程攻击者可以强制服务器指向/bin/sh这样的shell文件,借此执行任意命令。 影响版本 nhttpd:version <= 1.9.6 解题过程 1、启动靶场环境 2、Burp Suite 抓...
查看全文
 2022年03月04日   温氏效应  
Docker 安装 主机系统:ubuntu-20.04.3-desktop-amd64.iso [1] 卸载旧版本 sudo apt-get remove docker docker-engine docker.io containerd runc 虽然提示:E: 无法定位软件包 docker-engine,但似乎也没影响后续的操作。 [2] 更新APT sudo apt-get update [3] 允许 apt 通过 HTTPS 使用存储库 sudo apt-get install...
查看全文
我大抵是病了,横竖睡不着。走到院子里,看着皎洁的明月。远处传来几只野狗的叫声,我也跟着叫了起来。